Subject: Re: bug#71909: 30.0.60;

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2024 16:51:34 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> Date: Sun, 20 Oct 2024 13:09:01 +0000
> 
> Visuwesh <[email-masked]> writes:
> 
> >>> where text/html is the most useful.
> >>
> >> no, the most useful is Rich Text, but Emacs cannot yet yank that.
> >
> > Possibly.  But we could at least "hijack" shr to convert text/html to
> > string with text properties on it, or make it insert markup elements.
> > I've done the later as a personal hack and it works fairly well.
> 
> May we utilize tree-sitter?
> Having an AST, it should not be too hard to convert it into something
> Emacs can understand.

You mean, someone has written a tree-sitter grammar for Rich Text?

If not, what do you mean by "utilize tree-sitter" in this context?